Our Web API provides client applications access to OPTretina. Please notice the API still won't cover all situations and features that our platform offers.
Ask us for the developer keys at developers@optretina.com
Basic workflow
Additional options
HTTP Method: POST
URL: https://api.optretina.com/authorize
| Param | Description |
|---|---|
| client_id | Client identifier |
| client_secret | Client Secret hash |
| grant_type | Constant string 'client_credentials' |
curl --data "client_id=<YOUR_CLIENT_ID>client_secret=<YOUR_CLIENT_SECRET>&grant_type=client_credentials" https://api.optretina.com/authorize
HTTP Method: POST
URL: https://api.optretina.com/cases
Authentication: Required
| Param | Description |
|---|---|
| history_number | String |
| first_name | String |
| last_name | String |
| gender | 0: MALE, 1: FEMALE |
| age | number |
| diabetes | 0: no, 1: yes |
| visit_date | YYYY-MM-DD |
| visit_reason | String |
| ophthalmic_antecedents | String |
| other_relevant_info | String |
| retinologist_notes | String |
| od_iop | float |
| od_va | float |
| od_axis | float |
| od_cylinder | float |
| od_sphere | float |
| od_add | float |
| od_prism | float |
| od_prism_base | float |
| os_iop | float |
| os_va | float |
| os_axis | float |
| os_cylinder | float |
| os_sphere | float |
| os_add | float |
| os_prism | float |
| os_prism_base | float |
| callback_url | URL |
| images | Array files |
curl -H "Authorization: Bearer <YOUR_TOKEN>" --form "images[]=@<PATH_IMAGE>;filename=<FILE_NAME>" --form "images[]=@<PATH_IMAGE_2>;filename=<FILE_NAME_2>" --form first_name=<PATIENT_NAME> --form last_name=<PATIENT_LAST_NAME> --form gender=<GENDER> --form age=<AGE> --form paramName=paramValue ... https://api.optretina.com/cases
HTTP Method: GET
URL: https://api.optretina.com/cases
Authentication: Required
| Param | Description |
|---|
curl -H "Authorization: Bearer <YOUR_TOKEN>" https://api.optretina.com/cases
HTTP Method: GET
URL: https://api.optretina.com/cases/{id}
Authentication: Required
| Param | Description | ID | Case ID |
|---|
curl -H "Authorization: Bearer <YOUR_TOKEN>" https://api.optretina.com/cases/<CASE_ID>>
HTTP Method: GET
URL: https://api.optretina.com/cases/report/{id}
| Param | Description | ID | Case ID |
|---|
curl -H "Authorization: Bearer <YOUR_TOKEN>" https://api.optretina.com/cases/report/<CASE_ID>
HTTP Method: GET
URL: https://api.optretina.com/centers
Authentication: Required
| Param | Description |
|---|
curl -H "Authorization: Bearer <YOUR_TOKEN>" https://api.optretina.com/centers
HTTP Method: POST
URL: https://api.optretina.com/change-center
Authentication: Required
| Param | Description |
|---|---|
| center_id | Center identifier |
curl -X POST -H "Authorization: Bearer <YOUR_TOKEN>" -d "center_id=<YOUR_CENTER_ID>" https://api.optretina.com/change-center